# DataExchange
TKIGES
IGESGraph

# IGESGraph_Pick Class Reference

defines IGESPick, Type <406> Form <21>
in package IGESGraph

`#include <IGESGraph_Pick.hxx>`

Inheritance diagram for IGESGraph_Pick:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGraph_Pick ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Integer aPickStatus)
| This method is used to set the fields of the class Pick - nbProps : Number of property values (NP = 1) - aPickStatus : Pick Flag .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>.
Standard_EXPORT Standard_Integer | PickFlag () const
| returns 0 if <me> is pickable(default), 1 if <me> is not pickable.
Standard_EXPORT Standard_Boolean | IsPickable () const
| returns True if thePick is 0.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Integer | thePick

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_Pick::IGESGraph_Pick | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_Pick::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGraph_Pick::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Integer | aPickStatus
| ) |

Standard_EXPORT Standard_Boolean IGESGraph_Pick::IsPickable | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_Pick::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGraph_Pick::PickFlag | ( |  | ) | const

## Field Documentation

Standard_Integer IGESGraph_Pick::theNbPropertyValues `[private]`

Standard_Integer IGESGraph_Pick::thePick `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_Pick.hxx